CGAL 6.2 - 2D Conforming Triangulations and Meshes: DelaunayMeshFaceBase_2 Concept Reference

CGAL 6.2 - 2D Conforming Triangulations and Meshes

Loading...
Searching...
No Matches
List of all members
DelaunayMeshFaceBase_2 Concept Reference
Reference Manual » Concepts

## Definition

The concept `DelaunayMeshFaceBase_2` refines the concept `TriangulationFaceBase_2`. It adds two functions giving access to a Boolean marker, that indicates if the face is in the meshing domain or not.

Refines
  `ConstrainedTriangulationFaceBase_2`

Has models
  `CGAL::Delaunay_mesh_face_base_2<Traits, Fb>`

## Typedef
typedef std::pair< DelaunayMeshFaceBase_2, int > | Edge
| A typedef to describe an edge.

## Functions
bool | is_in_domain () const
| returns `true` if this face is in the domain to be refined.
void | set_in_domain (const bool b)
| sets if this face is in the domain.
bool | is_blind () const
| returns `true` if this face has its circumcenter hidden by a constrained edge.
void | set_blind (const bool b)
| sets if this face is blind or not.
Edge | blinding_constraint () const
| If this face is blind, this function returns the first constrained edge that prevents it from "seeing" its circumcenter.
void | set_blinding_constraint (const Edge &e)
| sets the edge that makes this face blind.

## Member Function Documentation

## ◆ blinding_constraint()

Edge DelaunayMeshFaceBase_2::blinding_constraint | ( |  | ) | const

If this face is blind, this function returns the first constrained edge that prevents it from "seeing" its circumcenter.

Precondition
  is_blind() returns `true`

## ◆ is_blind()

bool DelaunayMeshFaceBase_2::is_blind | ( |  | ) | const

returns `true` if this face has its circumcenter hidden by a constrained edge.

It does not "see" it, following the Constrained Delaunay triangulation visibility criterion.

## ◆ set_blinding_constraint()

void DelaunayMeshFaceBase_2::set_blinding_constraint | ( | const Edge & | e | ) |

sets the edge that makes this face blind.

Precondition
  is_blind() returns `true`
  e is a constrained edge